Get custom quote claimable position for a token
curl --request GET \
--url https://public-api-v2.bags.fm/api/v1/token-launch/claimable-position/solo/v2 \
--header 'x-api-key: <api-key>'import requests
url = "https://public-api-v2.bags.fm/api/v1/token-launch/claimable-position/solo/v2"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://public-api-v2.bags.fm/api/v1/token-launch/claimable-position/solo/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"response": {
"contractVersion": 1,
"wallet": "<string>",
"items": [
{
"id": "<string>",
"wallet": "<string>",
"asset": {
"mint": "<string>",
"tokenProgram": "<string>",
"decimals": 123
},
"source": {
"kind": "pair_entitlement",
"baseMint": "<string>",
"config": "<string>",
"authority": "<string>",
"claimerIndex": 123
},
"rawAmount": "<string>",
"display": null,
"estimatedNetReceiptRaw": null,
"availability": {
"status": "available",
"reason": "account_mismatch"
},
"observedSlot": "<string>",
"valuation": {
"basis": "current",
"knownUsd": "<string>",
"status": "complete",
"exclusions": [
{
"asset": {
"mint": "<string>",
"tokenProgram": "<string>",
"decimals": 123
},
"rawAmount": "<string>",
"reason": "balance_unavailable",
"eventCount": null
}
],
"staleEstimates": [
"<unknown>"
]
}
}
],
"complete": true,
"issues": [
{
"sourceId": "<string>",
"reason": "account_mismatch"
}
]
}
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "<string>"
}Fee Claiming
Get custom quote claimable position for a token
List claimable custom quote fee positions/holdings for a wallet, scoped to a single base mint.
GET
/
token-launch
/
claimable-position
/
solo
/
v2
Get custom quote claimable position for a token
See Claim Custom Quote Fees for discovery, source selection, and claiming.
Authorizations
API key authentication. Provide your API key as the header value.
Query Parameters
Public key of the wallet to check for claimable positions
Base mint to scope the lookup to
